Update a Risk for a Participant
put
/public/v1/risks/{risk}riskstringrequiredThe risk UUID
Body
application/jsontitlestringmax length 255descriptionstringmax length 6000likelihoodenum<integer>Available options:54312consequenceenum<integer>Available options:14235residual_likelihoodenum<integer>Available options:54312risk_toenum<string>Available options:businessothersparticipantstaffstatusenum<string>Available options:activereview_frequencyenum<string>Available options:annuallymonthlyquarterlysix-monthlyweeklyvisible_to_support_workersbooleanrisk_management_typeenum<string>Available options:activestatic
Response
200application/jsonParticipantRiskResource
dataobjectrequired▶Show 18 child attributesHide child attributes
idstringrequiredExample:r1i2s3k4-d5e6-47f8-9a0b-1c2d3e4f5a6btitlestringrequiredExample:Falls risk during transfersdescriptionstring | nullrequiredExample:Participant has a history of fallslikelihoodintegerrequiredExample:possibleconsequenceintegerrequiredExample:moderateresidual_likelihoodintegerrequiredExample:unlikelyinherent_riskobjectrequired▶Show 2 child attributesHide child attributes
scoreintegerrequiredExample:12levelenum<string>requiredAvailable options:catastrophichighlowmoderate
residual_riskobjectrequired▶Show 2 child attributesHide child attributes
scoreintegerrequiredExample:12levelenum<string>requiredAvailable options:catastrophichighlowmoderate
risk_tostringrequiredExample:participantstatusstringrequiredExample:activerisk_management_typestringrequiredExample:treatreview_frequencystringrequiredExample:quarterlyvisible_to_support_workersbooleanrequiredExample:falselast_reviewed_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00next_review_atstringrequiredExample:2024-04-15T10:30:00+00:00archived_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00controlsobject[]required▶Show 4 child attributesHide child attributes
idstringrequiredExample:c1o2n3t4-r5o6-47l8-9a0b-1c2d3e4f5a6btitlestringrequiredExample:Use transfer beltdescriptionstring | nullrequiredExample:Always use a transfer belt when assistingcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00
401Unauthenticated403Authorization error404Not found422Validation error